You are attempting to remove the meta-package 'proxmox-ve'!

TomNick

Member
Jul 16, 2021
31
2
13
63
Hi everybody,

I am trying to upgrade Proxmox 6.4 to 7.0. I did exactly what was written at https://pve.proxmox.com/wiki/Upgrade_from_6.x_to_7.0#Preconditions. Now I am getting the following error:

Code:
apt full-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
  alsa-topology-conf alsa-ucm-conf bsdmainutils ceph-common ceph-fuse cifs-utils corosync cstream dtach ebtables faketime fontconfig fontconfig-config fonts-dejavu-core
  fonts-font-awesome fonts-glyphicons-halflings genisoimage glusterfs-client glusterfs-common hdparm ipset iso-codes libacl1-dev libanyevent-http-perl libanyevent-perl
  libappconfig-perl libapt-pkg-perl libarchive13 libasound2 libasound2-data libasyncns0 libattr1-dev libauthen-pam-perl libavahi-client3 libavahi-common-data
  libavahi-common3 libbabeltrace1 libbind9-161 libboost-atomic1.67.0 libboost-context1.74.0 libboost-coroutine1.74.0 libboost-iostreams1.67.0
  libboost-program-options1.67.0 libboost-program-options1.74.0 libboost-regex1.67.0 libboost-system1.67.0 libboost-thread1.67.0 libboost-thread1.74.0 libc-dev-bin
  libc-devtools libc6-dev libcaca0 libcairo2 libcephfs2 libcfg7 libcmap4 libcorosync-common4 libcpg4 libcrypt-dev libcrypt-openssl-bignum-perl
  libcrypt-openssl-random-perl libcrypt-openssl-rsa-perl libcups2 libcurl3-gnutls libcwidget3v5 libdatrie1 libdbi1 libdeflate0 libdevel-cycle-perl libdns1104 libdns1110
  libdw1 libevent-2.1-6 libfaketime libfile-chdir-perl libfile-readbackwards-perl libfilesys-df-perl libflac8 libfontconfig1 libfuse3-3 libgd3 libgfapi0 libgfchangelog0
  libgfdb0 libgfrpc0 libgfxdr0 libglusterd0 libglusterfs-dev libglusterfs0 libgnutlsxx28 libgoogle-perftools4 libgraphite2-3 libgstreamer-plugins-base1.0-0
  libgstreamer1.0-0 libharfbuzz0b libhavege1 libibverbs1 libice6 libicu63 libio-multiplex-perl libipset11 libipset13 libisc1100 libisc1105 libisccc161 libisccfg163
  libiscsi7 libjansson4 libjbig0 libjemalloc2 libjpeg62-turbo libjs-bootstrap libjs-extjs libjs-jquery libjs-sphinxdoc libjs-underscore libknet1 libldb2 libleveldb1d
  liblinux-inotify2-perl liblwres161 libmime-base32-perl libmpdec2 libnet-dbus-perl libnet-dns-perl libnet-ip-perl libnet1 libnetfilter-log1 libnl-route-3-200
  libnsl-dev libnspr4 libnss3 liboath0 libogg0 libopus0 liborc-0.4-0 libpango-1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0 libperl4-corelibs-perl libperl5.28
  libpixman-1-0 libprotobuf17 libproxmox-acme-perl libproxmox-acme-plugins libproxmox-backup-qemu0 libpulse0 libpve-apiclient-perl libpve-cluster-perl
  libpve-common-perl libpve-http-server-perl libpython2-stdlib libpython2.7 libpython2.7-minimal libpython2.7-stdlib libpython3.7 libpython3.7-minimal
  libpython3.7-stdlib libpython3.9 libqb0 libqrencode4 libquorum5 librabbitmq4 librados2 libradosstriper1 librbd1 librdmacm1 libreadline5 libreadline7 librrd8
  librrds-perl libsdl1.2debian libsm6 libsmbclient libsnappy1v5 libsndfile1 libspice-server1 libstatgrab10 libstring-shellquote-perl libtalloc2 libtcmalloc-minimal4
  libtdb1 libtemplate-perl libtevent0 libthai-data libthai0 libtiff5 libtirpc-dev libu2f-server0 libunwind8 liburcu6 libusbredirparser1 libuuid-perl libvorbis0a
  libvorbisenc2 libvotequorum8 libwbclient0 libwebp6 libx11-6 libx11-data libx11-xcb1 libxau6 libxcb-render0 libxcb-shm0 libxcb1 libxdmcp6 libxext6 libxi6
  libxml-libxml-perl libxml-twig-perl libxpm4 libxrender1 libxslt1.1 libxtst6 libyaml-0-2 libyaml-libyaml-perl linux-libc-dev lxcfs lzop manpages-dev novnc-pve numactl
  proxmox-archive-keyring proxmox-backup-client proxmox-backup-file-restore proxmox-mini-journalreader proxmox-widget-toolkit pve-docs pve-edk2-firmware pve-i18n
  pve-kernel-helper pve-lxc-syscalld pve-qemu-kvm pve-xtermjs python-pkg-resources python-six python2 python2-minimal python2.7 python2.7-minimal python3-ceph-argparse
  python3-cephfs python3-certifi python3-chardet python3-idna python3-jwt python3-ldb python3-pkg-resources python3-prettytable python3-rados python3-rbd
  python3-requests python3-six python3-talloc python3-urllib3 python3.7-minimal qrencode rrdcached samba-common samba-libs smartmontools smbclient socat spiceterm
  sqlite3 uidmap vncterm x11-common xsltproc zstd
Use 'apt autoremove' to remove them.
The following packages will be REMOVED:
  criu libldb1 libpve-access-control libpve-cluster-api-perl libpve-guest-common-perl libpve-storage-perl libpve-u2f-server-perl libpython-stdlib librados2-perl lxc-pve
  proxmox-ve pve-cluster pve-container pve-firewall pve-ha-manager pve-manager python python-cephfs python-certifi python-chardet python-configparser python-future
  python-idna python-ipaddr python-minimal python-prettytable python-protobuf python-rados python-rbd python-requests python-talloc python-urllib3 python3.7 qemu-server
The following NEW packages will be installed:
  alsa-topology-conf alsa-ucm-conf bind9-libs bsdextrautils bzip2 gcc-10-base libapt-pkg6.0 libboost-context1.74.0 libboost-coroutine1.74.0 libboost-iostreams1.74.0
  libboost-program-options1.74.0 libboost-thread1.74.0 libbpf0 libbrotli1 libc-devtools libcbor0 libcrypt-dev libcrypt1 libcwidget4 libdeflate0 libdns-export1110
  libdns1110 libdpkg-perl libevent-2.1-7 libffi7 libfido2-1 libfile-fcntllock-perl libgcc-s1 libgd3 libglusterd0 libhavege2 libhogweed6 libicu67 libinih1 libip4tc2
  libip6tc2 libipset13 libisc-export1105 libisc1105 libjbig0 libjson-c5 libldb2 libleveldb1d libmaxminddb0 libmd0 libmpdec3 libnettle8 libnl-genl-3-200 libnsl-dev
  libnsl2 libnss-nis libnss-nisplus liboath0 libopeniscsiusr libperl4-corelibs-perl libperl5.32 libpod-parser-perl libprocps8 libpython3.9 libpython3.9-minimal
  libpython3.9-stdlib librabbitmq4 libreadline8 libtiff5 libtirpc-dev libuv1 libwebp6 libxpm4 libxxhash0 linux-image-5.10.0-23-amd64 logsave mailcap manpages
  manpages-dev media-types ncal pci.ids perl-modules-5.32 python3-ceph-argparse python3-cephfs python3-ldb python3-rados python3-rbd python3-talloc python3.9
  python3.9-minimal systemd-timesyncd
The following packages will be upgraded:
  amd64-microcode apparmor apt apt-utils aptitude aptitude-common attr base-files base-passwd bash bash-completion bind9-host bridge-utils bsdmainutils bsdutils
  btrfs-progs busybox ca-certificates ceph-common ceph-fuse cifs-utils console-setup console-setup-linux coreutils cpio cpufrequtils cron cryptsetup cryptsetup-bin
  cryptsetup-initramfs cryptsetup-run curl dash dbus debconf debconf-i18n debian-archive-keyring debianutils diffutils dirmngr discover-data dmeventd dmidecode dmsetup
  dosfstools dpkg dtach e2fsprogs ebtables efibootmgr eject faketime fdisk file findutils fontconfig fontconfig-config fonts-dejavu-core fonts-font-awesome
  fonts-glyphicons-halflings fuse gdisk genisoimage geoip-database gettext-base glusterfs-client glusterfs-common gnupg gnupg-l10n gnupg-utils gpg gpg-agent
  gpg-wks-client gpg-wks-server gpgconf gpgsm gpgv grep groff-base grub-common grub-efi-amd64-bin grub-pc grub-pc-bin grub2-common gzip haveged hdparm hostname htop
  init init-system-helpers initramfs-tools initramfs-tools-core installation-report intel-microcode iproute2 ipset iptables iputils-clockdiff iputils-ping
  iputils-tracepath irqbalance isc-dhcp-client isc-dhcp-common iso-codes kbd keyboard-configuration keyutils klibc-utils kmod krb5-locales less libacl1 libacl1-dev
  libaio1 libanyevent-http-perl libanyevent-perl libapparmor1 libappconfig-perl libapt-pkg-perl libarchive13 libasound2 libasound2-data libassuan0 libasyncns0 libattr1
  libattr1-dev libaudit-common libaudit1 libauthen-pam-perl libavahi-client3 libavahi-common-data libavahi-common3 libbabeltrace1 libbind9-161 libblkid1 libbsd0
  libbz2-1.0 libc-bin libc-dev-bin libc-l10n libc6 libc6-dev libcaca0 libcairo2 libcap-ng0 libcap2 libcap2-bin libcephfs2 libclone-perl libcom-err2 libcommon-sense-perl
  libconvert-asn1-perl libcpufreq0 libcrypt-openssl-bignum-perl libcrypt-openssl-random-perl libcrypt-openssl-rsa-perl libcrypt-random-seed-perl libcrypt-ssleay-perl
  libcryptsetup12 libcups2 libcurl3-gnutls libcurl4 libdatrie1 libdb5.3 libdbi1 libdbus-1-3 libdebconfclient0 libdevmapper-event1.02.1 libdevmapper1.02.1
  libdigest-hmac-perl libdw1 libedit2 libefiboot1 libefivar1 libelf1 libencode-locale-perl libestr0 libexpat1 libext2fs2 libfaketime libfastjson4 libfdisk1
  libfile-chdir-perl libfile-listing-perl libfilesys-df-perl libflac8 libfontconfig1 libfreetype6 libfribidi0 libfstrm0 libfuse2 libfuse3-3 libgcrypt20 libgdbm-compat4
  libgdbm6 libgeoip1 libgfapi0 libgfchangelog0 libgfrpc0 libgfxdr0 libglib2.0-0 libglusterfs-dev libglusterfs0 libgmp10 libgnutls30 libgnutlsxx28 libgoogle-perftools4
  libgpg-error0 libgpm2 libgraphite2-3 libgssapi-krb5-2 libgstreamer-plugins-base1.0-0 libgstreamer1.0-0 libharfbuzz0b libhtml-parser-perl libhtml-tagset-perl
  libhttp-cookies-perl libhttp-daemon-perl libhttp-date-perl libhttp-message-perl libibverbs1 libice6 libidn11 libidn2-0 libio-html-perl libio-multiplex-perl
  libio-socket-ssl-perl libiptc0 libisccc161 libisccfg163 libiscsi7 libisns0 libjansson4 libjemalloc2 libjpeg62-turbo libjs-bootstrap libjs-jquery libjs-sphinxdoc
  libjs-underscore libjson-perl libjson-xs-perl libk5crypto3 libkeyutils1 libklibc libkmod2 libkrb5-3 libkrb5support0 libksba8 libldap-2.4-2 libldap-common
  liblinux-inotify2-perl liblmdb0 liblocale-gettext-perl liblognorm5 liblvm2cmd2.03 liblwp-mediatypes-perl liblwp-protocol-https-perl liblwres161 liblz4-1 liblzma5
  liblzo2-2 libmagic-mgc libmagic1 libmath-random-isaac-perl libmime-base32-perl libmnl0 libmount1 libncurses6 libncursesw6 libnet-dbus-perl libnet-dns-perl
  libnet-http-perl libnet-ldap-perl libnet-ssleay-perl libnetfilter-conntrack3 libnetfilter-log1 libnewt0.52 libnfsidmap2 libnftnl11 libnghttp2-14 libnl-3-200
  libnl-route-3-200 libnpth0 libnspr4 libnss3 libnuma1 libogg0 libopus0 liborc-0.4-0 libp11-kit0 libpam-modules libpam-modules-bin libpam-runtime libpam-systemd
  libpam0g libpango-1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0 libparted2 libpci3 libpcre2-8-0 libpcre3 libpipeline1 libpixman-1-0 libpng16-16 libpopt0 libprotobuf-c1
  libpsl5 libpulse0 libpython2-stdlib libpython2.7 libpython2.7-minimal libpython2.7-stdlib libpython3-stdlib libqrencode4 librados2 libradosstriper1 librbd1 librdmacm1
  librrd8 librrds-perl librtmp1 libsasl2-2 libsasl2-modules-db libsdl1.2debian libseccomp2 libselinux1 libsemanage-common libsemanage1 libsepol1 libsigc++-2.0-0v5
  libslang2 libsmartcols1 libsmbclient libsnappy1v5 libsndfile1 libspice-server1 libsqlite3-0 libss2 libssh2-1 libssl1.1 libstatgrab10 libstdc++6 libsystemd0 libtalloc2
  libtasn1-6 libtcmalloc-minimal4 libtdb1 libtemplate-perl libterm-readline-gnu-perl libtevent0 libtext-charwidth-perl libtext-iconv-perl libtext-wrapi18n-perl
  libthai-data libthai0 libtimedate-perl libtinfo6 libtirpc-common libtirpc3 libtypes-serialiser-perl libu2f-server0 libuchardet0 libudev1 libunistring2 libunwind8
  liburcu6 liburi-perl libusb-1.0-0 libusbredirparser1 libuuid-perl libuuid1 libvorbis0a libvorbisenc2 libwbclient0 libwrap0 libwww-perl libx11-6 libx11-data
  libx11-xcb1 libxapian30 libxau6 libxcb-render0 libxcb-shm0 libxcb1 libxext6 libxi6 libxml-libxml-perl libxml-namespacesupport-perl libxml-parser-perl
  libxml-sax-base-perl libxml-sax-perl libxml-twig-perl libxml2 libxslt1.1 libxtables12 libyaml-0-2 libyaml-libyaml-perl libzstd1 linux-image-amd64 linux-libc-dev
  locales login logrotate lsb-base lvm2 lxcfs lzop man-db mawk mdadm mime-support mount nano ncurses-base ncurses-bin ncurses-term net-tools netbase nfs-common ntpdate
  numactl open-iscsi openssh-client openssh-server openssh-sftp-server openssl os-prober parted passwd pciutils perl perl-base perl-openssl-defaults pinentry-curses
  postfix procps psmisc python-pkg-resources python-six python2 python2-minimal python2.7 python2.7-minimal python3 python3-certifi python3-chardet python3-idna
  python3-jwt python3-minimal python3-pkg-resources python3-prettytable python3-requests python3-six python3-urllib3 qrencode readline-common rename rpcbind rrdcached
  rsync rsyslog runit-helper samba-common samba-libs sensible-utils sgml-base shared-mime-info smbclient socat sqlite3 ssl-cert systemd systemd-sysv sysvinit-utils tar
  task-english task-ssh-server tasksel tasksel-data thin-provisioning-tools tzdata ucf udev uidmap usb.ids usbutils util-linux util-linux-locales vim vim-common
  vim-runtime vim-tiny wget whiptail x11-common xfsprogs xkb-data xsltproc xxd xz-utils zlib1g zstd
504 upgraded, 87 newly installed, 34 to remove and 0 not upgraded.
Need to get 0 B/321 MB of archives.
After this operation, 501 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
W: (pve-apt-hook) !! WARNING !!
W: (pve-apt-hook) You are attempting to remove the meta-package 'proxmox-ve'!
W: (pve-apt-hook)
W: (pve-apt-hook) If you really want to permanently remove 'proxmox-ve' from your system, run the following command
W: (pve-apt-hook)       touch '/please-remove-proxmox-ve'
W: (pve-apt-hook) run apt purge proxmox-ve to remove the meta-package
W: (pve-apt-hook) and repeat your apt invocation.
W: (pve-apt-hook)
W: (pve-apt-hook) If you are unsure why 'proxmox-ve' would be removed, please verify
W: (pve-apt-hook)       - your APT repository settings
W: (pve-apt-hook)       - that you are using 'apt full-upgrade' to upgrade your system
E: Sub-process /usr/share/proxmox-ve/pve-apt-hook returned an error code (1)
E: Failure running script /usr/share/proxmox-ve/pve-apt-hook

Does anbyody have any idea what could be wrong? Thanks for some help!
 
Please post the output of:

> pve6to7 --full
 
Please post the output of:

> pve6to7 --full
Code:
pve6to7 --full
= CHECKING VERSION INFORMATION FOR PVE PACKAGES =

Checking for package updates..
WARN: updates for the following packages are available:
  libpam0g, debconf, fdisk, libusbredirparser1, cryptsetup-bin, cryptsetup-initramfs, perl-base, init, python-six, libcrypt-ssleay-perl, libgnutlsxx28, libgcc-s1, libhttp-daemon-perl, libio-socket-ip-perl, libsocket-perl, init-system-helpers, libdevmapper1.02.1, iso-codes, libssh2-1, liblvm2cmd2.03, libusb-1.0-0, libefivar1, libhttp-message-perl, libencode-perl, dmsetup, libnl-route-3-200, fuse, libradosstriper1, libgcc-s1, libkrb5-3, dosfstools, libgssapi-krb5-2, libsnappy1v5, ceph-common, python3-cephfs, python3-rados, python3-rbd, libboost-coroutine1.74.0, libboost-program-options1.74.0, libboost-thread1.74.0, libgcc-s1, libleveldb1d, liboath0, librabbitmq4, glusterfs-client, libpangoft2-1.0-0, postfix, libicu67, libnsl2, libnghttp2-14, libseccomp2, util-linux-locales, librrds-perl, libencode-locale-perl, diffutils, fonts-font-awesome, libaudit-common, libcom-err2, libpopt0, libisccfg163, libdns1110, libisc1105, libcups2, intel-microcode, libdbus-1-3, irqbalance, libsemanage1, sysvinit-utils, libfdisk1, iptables, libip4tc2, libip6tc2, gnupg-utils, libreadline8, os-prober, libterm-readline-gnu-perl, libreadline8, libsasl2-modules-db, libnet-ssleay-perl, linux-libc-dev, libxml-sax-base-perl, vim-common, libcurl4, libbrotli1, gpg-wks-client, libldap-2.4-2, libxapian30, libgcc-s1, libfstrm0, sgml-base, libpam-modules, openssl, libdw1, tasksel-data, libacl1-dev, gnupg-l10n, libibverbs1, libc6-dev, libcrypt-dev, libnsl-dev, rename, iputils-clockdiff, libwbclient0, libicu67, python3-jwt, task-english, libjson-perl, libsystemd0, libxml-sax-perl, base-passwd, dash, grub-common, apt, libapt-pkg6.0, libgcc-s1, libacl1, libparted2, libpython2-stdlib, libksba8, ipset, libipset13, mdadm, libgfapi0, efibootmgr, dbus, libkmod2, libpsl5, debconf-i18n, libpixman-1-0, libasound2-data, python2.7-minimal, bridge-utils, libmount1, libsigc++-2.0-0v5, libgcc-s1, libcrypt-openssl-random-perl, libsqlite3-0, liborc-0.4-0, libbz2-1.0, zstd, libgcc-s1, libelf1, python3-urllib3, libmime-base32-perl, bsdmainutils, bsdextrautils, ncal, libogg0, libgpg-error0, libcephfs2, libgcc-s1, libbsd0, libmd0, bind9-host, bind9-libs, dtach, libdevmapper-event1.02.1, libarchive13, libnettle8, e2fsprogs, logsave, zlib1g, libwrap0, libnsl2, libtirpc-common, libanyevent-http-perl, libavahi-common-data, librbd1, libgcc-s1, open-iscsi, libopeniscsiusr, geoip-database, libgmp10, libefiboot1, libhttp-date-perl, libavahi-common3, liblwp-mediatypes-perl, liblognorm5, libpython2.7, libfilesys-df-perl, libncurses6, python2.7, task-ssh-server, libbabeltrace1, libc6, libgcc-s1, libcrypt1, console-setup-linux, nano, gpg-wks-server, libgfrpc0, netbase, util-linux, libnuma1, libdbi1, libnet-dns-perl, libdigest-sha-perl, libencode-perl, libio-socket-ip-perl, libscalar-list-utils-perl, libtest-simple-perl, libuuid-perl, runit-helper, libjs-jquery, dmeventd, coreutils, libjs-underscore, liblocale-gettext-perl, openssh-sftp-server, libthai-data, gpg, libreadline8, python2, python3, python3.9, libgfxdr0, libaio1, lvm2, libsepol1, libk5crypto3, grub2-common, iputils-tracepath, python3-idna, ebtables, udev, locales, console-setup, mime-support, mailcap, media-types, liburcu6, discover-data, libxcb-shm0, libfastjson4, passwd, libcrypt1, rrdcached, procps, libprocps8, python3-six, libsasl2-2, libnftnl11, cryptsetup-run, readline-common, libxcb-render0, librdmacm1, libklibc, libpam-runtime, libwww-perl, libpipeline1, isc-dhcp-common, amd64-microcode, libmagic1, libio-html-perl, xkb-data, libconvert-asn1-perl, libmath-bigint-perl, libassuan0, libspice-server1, kbd, ssl-cert, grub-pc, libncursesw6, fontconfig-config, libnet-http-perl, libio-socket-ip-perl, libx11-6, libopus0, lzop, libanyevent-perl, python3-requests, debianutils, libexpat1, kmod, libudev1, rsyslog, net-tools, libapparmor1, libjson-xs-perl, cifs-utils, libtalloc2, libio-socket-ssl-perl, htop, libnl-genl-3-200, libfaketime, installation-report, libapt-pkg-perl, libapt-pkg6.0, libgcc-s1, krb5-locales, liblmdb0, dirmngr, attr, libss2, libglusterfs-dev, libglusterd0, mount, libmath-random-isaac-perl, libsemanage-common, samba-libs, libldb2, libnsl2, libpython3.9, python3-ldb, python3-talloc, grub-pc-bin, ntpdate, libext2fs2, sqlite3, libreadline8, libattr1, libiptc0, libip4tc2, gdisk, libgcc-s1, libtcmalloc-minimal4, libgcc-s1, libblkid1, libisns0, libhtml-tagset-perl, dpkg, qrencode, libc-l10n, fontconfig, libfuse3-3, libio-multiplex-perl, groff-base, libgcc-s1, libstatgrab10, glusterfs-common, libglusterd0, python3-minimal, libxau6, libfile-listing-perl, libclone-perl, librtmp1, libhogweed6, libnettle8, grub-efi-amd64-bin, libc-bin, man-db, libmagic-mgc, libpangocairo-1.0-0, libpulse0, libgeoip1, psmisc, xfsprogs, libicu67, libinih1, libtinfo6, libcaca0, libxcb1, liblwp-protocol-https-perl, fonts-glyphicons-halflings, python2-minimal, libxi6, libkrb5support0, aptitude-common, libpcre3, whiptail, libvorbisenc2, libnewt0.52, libnet-dbus-perl, libcap2, libpython3-stdlib, libpython3.9-stdlib, libfuse2, dmidecode, linux-image-amd64, linux-image-5.10.0-23-amd64, samba-common, tar, systemd-sysv, mawk, libnet-ldap-perl, libcap2-bin, libuuid1, libnl-3-200, libldap-common, libgdbm6, libgcrypt20, libtirpc3, fonts-dejavu-core, liblwres161, librrd8, libxml-twig-perl, ucf, python-pkg-resources, libkeyutils1, vim-runtime, ceph-fuse, libgcc-s1, perl-openssl-defaults, libprotobuf-c1, libnetfilter-conntrack3, libselinux1, liblz4-1, libpcre2-8-0, gpgv, vim, libpam-systemd, libgstreamer-plugins-base1.0-0, libsndfile1, xz-utils, parted, libreadline8, ncurses-term, libtext-wrapi18n-perl, libgoogle-perftools4, python3-pkg-resources, libyaml-libyaml-perl, libcrypt-openssl-rsa-perl, libtypes-serialiser-perl, shared-mime-info, systemd, libcrypt1, libip4tc2, usb.ids, libsdl1.2debian, libsmartcols1, libcrypt-openssl-bignum-perl, grep, libtemplate-perl, login, cpufrequtils, libhttp-cookies-perl, libauthen-pam-perl, xxd, libthai0, libxml-namespacesupport-perl, eject, ncurses-bin, libcommon-sense-perl, libestr0, libfontconfig1, libpam-modules-bin, libcrypt1, libjs-bootstrap, openssh-server, libcrypt1, libasyncns0, apt-utils, libapt-pkg6.0, libgcc-s1, libx11-data, iproute2, libbpf0, libxml-libxml-perl, libsmbclient, smbclient, libreadline8, libjemalloc2, libgcc-s1, openssh-client, libfido2-1, libdb5.3, iputils-ping, libtdb1, keyboard-configuration, bsdutils, libasound2, libglusterfs0, usbutils, libunwind8, genisoimage, libgraphite2-3, libgpm2, libuchardet0, libgcc-s1, python3-prettytable, ncurses-base, libxtables12, bash, tasksel, libtimedate-perl, busybox, findutils, libc-dev-bin, libcap-ng0, libxml2, libicu67, file, libdigest-hmac-perl, logrotate, pciutils, libfile-chdir-perl, libflac8, libidn11, libiscsi7, libpython2.7-minimal, cpio, libgnutls30, libhogweed6, libnettle8, libnss3, libedit2, libfreetype6, libbrotli1, ca-certificates, perl, perl-modules-5.32, libperl5.32, rsync, libxxhash0, vim-tiny, apparmor, libu2f-server0, libjson-c5, libunistring2, libp11-kit0, libffi7, libzstd1, lsb-base, libisccc161, libisc1105, wget, libnettle8, libcryptsetup12, libjson-c5, x11-common, cron, libxml-parser-perl, liblinux-inotify2-perl, libvorbis0a, libssl1.1, gzip, libbind9-161, libdns1110, libisc1105, numactl, libgfchangelog0, haveged, libhavege2, libharfbuzz0b, libtasn1-6, gnupg, libpci3, pci.ids, libjansson4, xsltproc, libyaml-0-2, libgdbm-compat4, keyutils, libice6, gettext-base, faketime, libcairo2, libpython2.7-stdlib, libcrypt1, libffi7, libnsl2, libreadline8, pinentry-curses, libtext-iconv-perl, liblzma5, thin-provisioning-tools, libgcc-s1, libstdc++6, gcc-10-base, libgcc-s1, libnpth0, libavahi-client3, curl, libpango-1.0-0, aptitude, libapt-pkg6.0, libboost-iostreams1.74.0, libcwidget4, libgcc-s1, libjs-sphinxdoc, isc-dhcp-client, libdns-export1110, libisc-export1105, libtevent0, rpcbind, klibc-utils, python3-certifi, cryptsetup, libhtml-parser-perl, gpg-agent, python3-chardet, libgstreamer1.0-0, libcpufreq0, liburi-perl, libglib2.0-0, libffi7, libattr1-dev, libidn2-0, libjpeg62-turbo, debian-archive-keyring, libqrencode4, librados2, libboost-iostreams1.74.0, libboost-thread1.74.0, libgcc-s1, uidmap, libcrypt-random-seed-perl, libnspr4, libaudit1, nfs-common, libevent-2.1-7, libcurl3-gnutls, libbrotli1, libnettle8, initramfs-tools-core, sensible-utils, gpgconf, libreadline8, initramfs-tools, socat, less, hostname, libx11-xcb1, libmnl0, libappconfig-perl, libdebconfclient0, libfribidi0, hdparm, libxslt1.1, base-files, libnetfilter-log1, gpgsm, libreadline8, libtext-charwidth-perl, bash-completion, libxext6, libdatrie1, tzdata, lxcfs, libgcc-s1, libnfsidmap2, liblzo2-2, btrfs-progs, libgcc-s1, libslang2, libpng16-16

Checking proxmox-ve package version..
PASS: proxmox-ve package has version >= 6.4-1

Checking running kernel version..
PASS: expected running kernel '5.4.203-1-pve'.

= CHECKING CLUSTER HEALTH/SETTINGS =

SKIP: standalone node.

= CHECKING HYPER-CONVERGED CEPH STATUS =

SKIP: no hyper-converged ceph setup detected!

= CHECKING CONFIGURED STORAGES =

PASS: storage 'PBS' enabled and active.
PASS: storage 'local' enabled and active.
PASS: storage 'local2' enabled and active.

= MISCELLANEOUS CHECKS =

INFO: Checking common daemon services..
PASS: systemd unit 'pveproxy.service' is in state 'active'
PASS: systemd unit 'pvedaemon.service' is in state 'active'
PASS: systemd unit 'pvestatd.service' is in state 'active'
INFO: Checking for running guests..
WARN: 3 running guest(s) detected - consider migrating or stopping them.
INFO: Checking if the local node's hostname 'node1' is resolvable..
INFO: Checking if resolved IP is configured on local node..
PASS: Resolved node IP '5.9.52.148' configured and active on single interface.
INFO: Checking backup retention settings..
INFO: storage 'local2' - no backup retention settings defined - by default, PVE 7.x will no longer keep only the last backup, but all backups
PASS: no problems found.
INFO: checking CIFS credential location..
PASS: no CIFS credentials at outdated location found.
INFO: Checking custom roles for pool permissions..
SKIP: user.cfg does not exist
INFO: Checking node and guest description/note legnth..
PASS: All node config descriptions fit in the new limit of 64 KiB
PASS: All guest config descriptions fit in the new limit of 8 KiB
INFO: Checking container configs for deprecated lxc.cgroup entries
PASS: No legacy 'lxc.cgroup' keys found.
INFO: Checking storage content type configuration..
PASS: no problems found
INFO: Checking if the suite for the Debian security repository is correct..
PASS: already using 'bullseye-security'

= SUMMARY =

TOTAL:    21
PASSED:   16
SKIPPED:  3
WARNINGS: 2
FAILURES: 0

ATTENTION: Please check the output for detailed information!

I stopped the running guests while upgrading
 
and the output of:

> apt update
 
and the output of:

> apt update
Code:
root@node1 ~ # apt update
Hit:1 http://mirror.hetzner.de/debian/packages bullseye InRelease
Get:2 http://mirror.hetzner.de/debian/security bullseye-security InRelease [48.4 kB]                                                                                     
Get:3 http://mirror.hetzner.de/debian/packages bullseye-updates InRelease [44.1 kB]                                                                                     
Get:4 http://mirror.hetzner.com/debian/pve buster InRelease [2,659 B]                                                                                                   
Get:5 http://security.debian.org/debian-security bullseye-security InRelease [48.4 kB]                                                                                   
Hit:6 http://deb.debian.org/debian bullseye InRelease                                         
Get:7 http://deb.debian.org/debian bullseye-updates InRelease [44.1 kB]                       
Hit:8 http://download.proxmox.com/debian/pbs buster InRelease           
Hit:9 http://download.proxmox.com/debian/pve buster InRelease
Get:10 http://mirror.hetzner.de/debian/security bullseye-security/main amd64 Packages [246 kB]
Get:11 http://mirror.hetzner.de/debian/security bullseye-security/main Translation-en [163 kB]
Get:12 http://security.debian.org/debian-security bullseye-security/main amd64 Packages [246 kB]
Get:13 http://security.debian.org/debian-security bullseye-security/main Translation-en [163 kB]
Fetched 1,005 kB in 1s (1,480 kB/s)                             
Reading package lists... Done
Building dependency tree       
Reading state information... Done
504 packages can be upgraded. Run 'apt list --upgradable' to see them.
root@node1 ~ #
 
Hi,
seems like you have linux-image-amd64 installed (appears in the packages to upgrade). You need to remove it: https://pve.proxmox.com/wiki/Upgrade_from_6.x_to_7.0#Known_upgrade_issues
Done that. Then I did an apt upgrade, after that I did another apt dist-upgrade and got the following error:

Code:
oot@node1 ~ # apt dist-upgrade
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
  alsa-topology-conf alsa-ucm-conf ceph-common ceph-fuse cifs-utils corosync cstream dtach ebtables faketime fontconfig fontconfig-config fonts-dejavu-core
  fonts-font-awesome fonts-glyphicons-halflings genisoimage glusterfs-client glusterfs-common hdparm ipset iso-codes libacl1-dev libanyevent-http-perl libanyevent-perl
  libappconfig-perl libapt-pkg-perl libarchive13 libasound2 libasound2-data libasyncns0 libattr1-dev libauthen-pam-perl libavahi-client3 libavahi-common-data
  libavahi-common3 libbabeltrace1 libboost-atomic1.67.0 libboost-context1.74.0 libboost-coroutine1.74.0 libboost-iostreams1.67.0 libboost-program-options1.67.0
  libboost-program-options1.74.0 libboost-regex1.67.0 libboost-system1.67.0 libboost-thread1.67.0 libboost-thread1.74.0 libc-dev-bin libc-devtools libc6-dev libcaca0
  libcairo2 libcephfs2 libcfg7 libcmap4 libcorosync-common4 libcpg4 libcrypt-dev libcrypt-openssl-bignum-perl libcrypt-openssl-random-perl libcrypt-openssl-rsa-perl
  libcups2 libcurl3-gnutls libcwidget3v5 libdatrie1 libdbi1 libdeflate0 libdevel-cycle-perl libdw1 libfaketime libfile-chdir-perl libfile-readbackwards-perl
  libfilesys-df-perl libflac8 libfontconfig1 libfuse3-3 libgd3 libgfapi0 libgfchangelog0 libgfdb0 libgfrpc0 libgfxdr0 libglusterd0 libglusterfs-dev libglusterfs0
  libgnutlsxx28 libgoogle-perftools4 libgraphite2-3 libgstreamer-plugins-base1.0-0 libgstreamer1.0-0 libharfbuzz0b libibverbs1 libice6 libicu63 libio-multiplex-perl
  libipset13 libiscsi7 libjansson4 libjbig0 libjemalloc2 libjpeg62-turbo libjs-bootstrap libjs-extjs libjs-jquery libjs-sphinxdoc libjs-underscore libknet1 libldb2
  libleveldb1d liblinux-inotify2-perl libmime-base32-perl libmpdec2 libnet-dbus-perl libnet-dns-perl libnet-ip-perl libnet1 libnetfilter-log1 libnl-route-3-200
  libnsl-dev libnspr4 libnss3 liboath0 libogg0 libopus0 liborc-0.4-0 libpango-1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0 libperl4-corelibs-perl libperl5.28
  libpixman-1-0 libprotobuf17 libproxmox-acme-perl libproxmox-acme-plugins libproxmox-backup-qemu0 libpulse0 libpve-apiclient-perl libpve-cluster-perl
  libpve-common-perl libpve-http-server-perl libpython2-stdlib libpython2.7 libpython2.7-minimal libpython2.7-stdlib libpython3.7-minimal libpython3.7-stdlib
  libpython3.9 libqb0 libqrencode4 libquorum5 librabbitmq4 librados2 libradosstriper1 librbd1 librdmacm1 libreadline5 libreadline7 librrd8 librrds-perl libsdl1.2debian
  libsm6 libsmbclient libsnappy1v5 libsndfile1 libspice-server1 libstatgrab10 libstring-shellquote-perl libtalloc2 libtcmalloc-minimal4 libtdb1 libtemplate-perl
  libtevent0 libthai-data libthai0 libtiff5 libtirpc-dev libu2f-server0 libunwind8 liburcu6 libusbredirparser1 libuuid-perl libvorbis0a libvorbisenc2 libvotequorum8
  libwbclient0 libwebp6 libx11-6 libx11-data libx11-xcb1 libxau6 libxcb-render0 libxcb-shm0 libxcb1 libxdmcp6 libxext6 libxi6 libxml-libxml-perl libxml-twig-perl
  libxpm4 libxrender1 libxslt1.1 libxtst6 libyaml-0-2 libyaml-libyaml-perl linux-libc-dev lxcfs lzop manpages-dev novnc-pve numactl proxmox-archive-keyring
  proxmox-backup-client proxmox-backup-file-restore proxmox-mini-journalreader proxmox-widget-toolkit pve-docs pve-edk2-firmware pve-i18n pve-kernel-helper
  pve-lxc-syscalld pve-qemu-kvm pve-xtermjs python-pkg-resources python-six python2 python2-minimal python2.7 python2.7-minimal python3-ceph-argparse python3-cephfs
  python3-certifi python3-chardet python3-idna python3-jwt python3-ldb python3-pkg-resources python3-prettytable python3-rados python3-rbd python3-requests python3-six
  python3-talloc python3-urllib3 python3.7-minimal qrencode rrdcached samba-common samba-libs smartmontools smbclient socat spiceterm sqlite3 uidmap vncterm x11-common
  xsltproc zstd
Use 'apt autoremove' to remove them.
The following packages will be REMOVED:
  criu libldb1 libpve-access-control libpve-cluster-api-perl libpve-guest-common-perl libpve-storage-perl libpve-u2f-server-perl libpython-stdlib librados2-perl lxc-pve
  proxmox-ve pve-cluster pve-container pve-firewall pve-ha-manager pve-manager python python-cephfs python-certifi python-chardet python-configparser python-future
  python-idna python-ipaddr python-minimal python-prettytable python-protobuf python-rados python-rbd python-requests python-talloc python-urllib3 python3.7 qemu-server
The following NEW packages will be installed:
  alsa-topology-conf alsa-ucm-conf libboost-context1.74.0 libboost-coroutine1.74.0 libboost-iostreams1.74.0 libboost-program-options1.74.0 libboost-thread1.74.0 libbpf0
  libbrotli1 libc-devtools libcrypt-dev libcwidget4 libdeflate0 libdpkg-perl libfile-fcntllock-perl libgd3 libicu67 libinih1 libip4tc2 libip6tc2 libjbig0 libldb2
  libleveldb1d libmpdec3 libnl-genl-3-200 libnsl-dev libnss-nis libnss-nisplus liboath0 libperl5.32 libpython3.9 libpython3.9-minimal libpython3.9-stdlib librabbitmq4
  libtiff5 libtirpc-dev libwebp6 libxpm4 perl-modules-5.32 python3-ceph-argparse python3-cephfs python3-ldb python3-rados python3-rbd python3-talloc python3.9
  python3.9-minimal systemd-timesyncd
The following packages will be upgraded:
  aptitude aptitude-common ceph-common ceph-fuse curl gdisk groff-base htop iproute2 iptables libanyevent-perl libapt-pkg-perl libasound2 libasound2-data
  libauthen-pam-perl libc-bin libc-dev-bin libc6 libc6-dev libcairo2 libcephfs2 libclone-perl libcommon-sense-perl libcrypt-openssl-bignum-perl
  libcrypt-openssl-random-perl libcrypt-openssl-rsa-perl libcrypt-ssleay-perl libcurl3-gnutls libcurl4 libfilesys-df-perl libflac8 libfreetype6 libgoogle-perftools4
  libgstreamer-plugins-base1.0-0 libgstreamer1.0-0 libhtml-parser-perl libhttp-message-perl libiptc0 libjemalloc2 libjson-xs-perl liblinux-inotify2-perl
  liblocale-gettext-perl libnet-dbus-perl libnet-ssleay-perl libnspr4 libopus0 libpam-systemd libpixman-1-0 libpng16-16 libpulse0 libpython2-stdlib libpython2.7
  libpython2.7-minimal libpython2.7-stdlib libpython3-stdlib librados2 libradosstriper1 librbd1 librrd8 librrds-perl libsdl1.2debian libslang2 libsmbclient libsndfile1
  libsqlite3-0 libsystemd0 libtcmalloc-minimal4 libtemplate-perl libterm-readline-gnu-perl libtext-charwidth-perl libtext-iconv-perl libudev1 libuuid-perl libvorbis0a
  libvorbisenc2 libwbclient0 libxapian30 libxml-libxml-perl libxml-parser-perl libxml2 libxslt1.1 libxtables12 libyaml-libyaml-perl locales mawk perl perl-base postfix
  python-six python2 python2-minimal python2.7 python2.7-minimal python3 python3-chardet python3-minimal python3-six rsyslog samba-common samba-libs smbclient sqlite3
  systemd udev vim vim-common vim-runtime vim-tiny xfsprogs
109 upgraded, 48 newly installed, 34 to remove and 0 not upgraded.
Need to get 0 B/117 MB of archives.
After this operation, 129 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
W: (pve-apt-hook) !! WARNING !!
W: (pve-apt-hook) You are attempting to remove the meta-package 'proxmox-ve'!
W: (pve-apt-hook)
W: (pve-apt-hook) If you really want to permanently remove 'proxmox-ve' from your system, run the following command
W: (pve-apt-hook)       touch '/please-remove-proxmox-ve'
W: (pve-apt-hook) run apt purge proxmox-ve to remove the meta-package
W: (pve-apt-hook) and repeat your apt invocation.
W: (pve-apt-hook)
W: (pve-apt-hook) If you are unsure why 'proxmox-ve' would be removed, please verify
W: (pve-apt-hook)       - your APT repository settings
W: (pve-apt-hook)       - that you are using 'apt full-upgrade' to upgrade your system
E: Sub-process /usr/share/proxmox-ve/pve-apt-hook returned an error code (1)
E: Failure running script /usr/share/proxmox-ve/pve-apt-hook
root@node1 ~ #
 

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get yours easily in our online shop.

Buy now!